swagger: '2.0'
info:
  description: Configuration for Af report for related HDX Desktop Session resource.
  version: 'v2'
  title: related_desktop_session
host: 'adm.cloud.com'
schemes:
 - https
# tags are used for organizing operations
tags:
  - name: related_desktop_session
    description: Af report for related HDX Desktop Session
consumes:
  - application/json
produces:
  - application/json
securityDefinitions:
  UserSecurity:
    type: basic
security:
  - UserSecurity: []
parameters:
  authParam:
      in: header
      name: Authorization
      type: string
      required: true
      description: Session Id for authentication.Should be mentioned in the format CwsAuth bearer=sessionIdValue
  cloudParam:
      in: header
      name: isCloud
      type: string
      required: true
      description: set the value to true in case of Cloud services, false for on-prem deployment
paths:
  /massvc/{customerid}/nitro/v2/config/related_desktop_session:
    get:
      tags:
        - related_desktop_session
      summary: GET all related_desktop_session
      operationId: getall_related_desktop_session
      description: Af Report for related HDX Desktop Session.
      consumes:
        - application/json
      produces:
        - application/json
      parameters:
        - in: path
          name: customerid
          type: string
          required: true
          description: Customer Id of the user
        - in: header
          name: Authorization
          type: string
          required: true
          description: Session Id for authentication.Should be mentioned in the format CwsAuth bearer=sessionIdValue
        - in: header
          name: isCloud
          type: string
          required: true
          description: set the value to true in case of Cloud services, false for on-prem deployment
        - in: query
          name: filter
          type: string
          required: false
          description: "Use this query-parameter to get the filtered set of vm_device resources configured on the system. You can set a filter on any property of the resource.Example:  property-name1:property-value1 "
        - in: query
          name: pagesize
          type: integer
          required: false
          description: Use this query-parameter to get the related_desktop_session resources in chunks.To be used along with pageno query parameter.
        - in: query
          name: pageno
          type: integer
          required: false
          description: Use this query-parameter to get the related_desktop_session resources in chunks.To be used along with pagesize query parameter.
        - in: query
          name: count
          type: string
          required: false
          description: Use this query-parameter to get the count of related_desktop_session resources.
          enum:
            - yes
      responses:
        200:
          description:  for related_desktop_session
          schema: 
              $ref: '#/definitions/getrelated_desktop_sessionsResponse'
        400:
          description: Bad input parameter
          schema: 
              $ref: '#/definitions/Error'
        401:
          description: Failed Authentication
          schema: 
              $ref: '#/definitions/Error'
        403:
          description: Unauthorized
          schema: 
              $ref: '#/definitions/Error'
        404:
          description: Item not found
          schema: 
              $ref: '#/definitions/Error'
        409:
          description: Resource Conflict
          schema: 
              $ref: '#/definitions/Error'
        500:
          description: Server Error
          schema: 
              $ref: '#/definitions/Error'
        504:
          description: Gateway Timeout
          schema: 
              $ref: '#/definitions/Error'

definitions:
  getrelated_desktop_sessionResponse:
    type: object
    required:
      - related_desktop_session
    properties:
      related_desktop_session:
        $ref: '#/definitions/related_desktop_session'
    title: getrelated_desktop_sessionResponse
    example:
      related_desktop_session:
        serverside_packet_retransmits: "0"
        user_type: "0"
        hdx_desktop_username: "test_user"
        is_msi: "1"
        ip_block_name: "test ip_block"
        latitude: "12.9716"
        longitude: "77.5946"
        region_code: "KA"
        host_delay: "0"
        region: "Karnataka"
        total_bytes: "503.2"
        client_ip_address: "1.1.1.1"
        client_latency: "0"
        client_side_ns_delay: "0"
        server_side_ns_delay: "0"
        serverside_rto: "0"
        duration_summary_bandwidth: "0"
        country: "India"
        session_hop_diagram: "false"
        clientside_packet_retransmits: "0"
        server_ip_address: "1.1.1.1"
        rpt_sample_time: "1543828283"
        clientside_0_win: "0"
        bandwidth: "103"
        session_setup_time: "1543828283"
        clientside_rto: "0"
        client_version: "1.1.1"
        clientside_cb: "0"
        session_rtt: "0"
        __count: "10"
        country_code: "IN"
        state: "Active"
        client_type: "1"
        euem: "0"
        l7_clientside_latency: "0"
        device_type: "1"
        server_jitter: "0"
        id: "00000000-0000-375c-0000-000400000004"
        client_jitter: "0"
        server_latency: "0"
        is_multi_hop: "1"
        serverside_0_win: "0"
        serverside_cb: "0"
        acr_count: "1"
        session_duration: "10"
        ica_rtt: "0"
        sr_reconnect_count: "1"
        selected_time_total_byte: "1030"
        client_srtt: "0"
        edt_type: "0"
        ica_device_ip_address: "1.1.1.1"
        city: "Bangalore"
        vdi_image_name: "Image Name"
        up_time: "1200"
        session_setup_time_local: "1548432323"
        server_srtt: "0"
        session_end_time: "1543828883"
        l7_serverside_latency: "0"

  getrelated_desktop_sessionsResponse:
    type: object
    required:
      - related_desktop_session
    properties:
      related_desktop_session:
        type: array
        items:
          $ref: '#/definitions/related_desktop_session'
    title: getrelated_desktop_sessionsResponse
    example:
      related_desktop_session:
        serverside_packet_retransmits: "0"
        user_type: "0"
        hdx_desktop_username: "test_user"
        is_msi: "1"
        ip_block_name: "test ip_block"
        latitude: "12.9716"
        longitude: "77.5946"
        region_code: "KA"
        host_delay: "0"
        region: "Karnataka"
        total_bytes: "503.2"
        client_ip_address: "1.1.1.1"
        client_latency: "0"
        client_side_ns_delay: "0"
        server_side_ns_delay: "0"
        serverside_rto: "0"
        duration_summary_bandwidth: "0"
        country: "India"
        session_hop_diagram: "false"
        clientside_packet_retransmits: "0"
        server_ip_address: "1.1.1.1"
        rpt_sample_time: "1543828283"
        clientside_0_win: "0"
        bandwidth: "103"
        session_setup_time: "1543828283"
        clientside_rto: "0"
        client_version: "1.1.1"
        clientside_cb: "0"
        session_rtt: "0"
        __count: "10"
        country_code: "IN"
        state: "Active"
        client_type: "1"
        euem: "0"
        l7_clientside_latency: "0"
        device_type: "1"
        server_jitter: "0"
        id: "00000000-0000-375c-0000-000400000004"
        client_jitter: "0"
        server_latency: "0"
        is_multi_hop: "1"
        serverside_0_win: "0"
        serverside_cb: "0"
        acr_count: "1"
        session_duration: "10"
        ica_rtt: "0"
        sr_reconnect_count: "1"
        selected_time_total_byte: "1030"
        client_srtt: "0"
        edt_type: "0"
        ica_device_ip_address: "1.1.1.1"
        city: "Bangalore"
        vdi_image_name: "Image Name"
        up_time: "1200"
        session_setup_time_local: "1548432323"
        server_srtt: "0"
        session_end_time: "1543828883"
        l7_serverside_latency: "0"

  related_desktop_session_readwrite:
    type: object
    properties:
      serverside_packet_retransmits:
        description: "Server side packet retransmits."
        type: number
        format: double
      user_type:
        description: "User Access Type"
        type: string
        format: string
        minLength: 1
        maxLength: 128
      is_msi:
        description: "If Session is MSI or not"
        type: number
        format: double
      ip_block_name:
        description: "ip_block_name"
        type: string
        format: string
      latitude:
        description: "latitude"
        type: number
        format: double
      longitude:
        description: "longitude"
        type: number
        format: double
      region_code:
        description: "region_code"
        type: string
        format: string
      host_delay:
        description: "Server induced delay."
        type: number
        format: double
      region:
        description: "region"
        type: string
        format: string
      total_bytes:
        description: "Total bytes."
        type: number
        format: double
      client_latency:
        description: "client latency."
        type: number
        format: double
      client_side_ns_delay:
        description: "Client to Server NetScaler delay."
        type: number
        format: double
      server_side_ns_delay:
        description: "Server to Client NetScaler delay."
        type: number
        format: double
      serverside_rto:
        description: "serverside rto."
        type: number
        format: double
      duration_summary_bandwidth:
        description: "Avg Bandwidth for duration summary."
        type: number
        format: double
      country:
        description: "country"
        type: string
        format: string
      session_hop_diagram:
        description: "Session Hop Diagram"
        type: boolean
        format: boolean
      clientside_packet_retransmits:
        description: "Client side packet retransmits."
        type: number
        format: double
      server_ip_address:
        description: "Server IP Address."
        type: string
        format: ipaddress
        minLength: 1
        maxLength: 64
      rpt_sample_time:
        description: "Report Sample time."
        type: number
        format: double
      clientside_0_win:
        description: "Client side 0 window count."
        type: number
        format: double
      bandwidth:
        description: "Avg Bandwidth."
        type: number
        format: double
      session_setup_time:
        description: "ICA Session setup time."
        type: number
        format: double
      clientside_rto:
        description: "clientside rto."
        type: number
        format: double
      client_version:
        description: "Client Version"
        type: string
        format: string
        maxLength: 1024
      clientside_cb:
        description: "clientside cb"
        type: number
        format: double
      session_rtt:
        description: "ICA Session rtt."
        type: number
        format: double
      __count:
        description: "count."
        type: number
        format: double
      country_code:
        description: "country_code"
        type: string
        format: string
      state:
        description: "Desktop Session state."
        type: string
        format: string
      client_type:
        description: "Client Type"
        type: string
        format: string
        minLength: 1
        maxLength: 128
      euem:
        description: "EUEM."
        type: number
        format: double
      l7_clientside_latency:
        description: "L7 clientside latency"
        type: number
        format: double
      device_type:
        description: "Device Type."
        type: string
        format: string
      server_jitter:
        description: "ICA User server jitter."
        type: number
        format: double
      id:
        description: "Id is HDX Desktop user session ID"
        type: string
        format: uuid
      client_jitter:
        description: "ICA User client jitter."
        type: number
        format: double
      server_latency:
        description: "server latency."
        type: number
        format: double
      is_multi_hop:
        description: "Is Multi hop."
        type: number
        format: double
      serverside_0_win:
        description: "server side 0 window count."
        type: number
        format: double
      serverside_cb:
        description: "serverside cb"
        type: number
        format: double
      acr_count:
        description: "Session Reliability ACR count"
        type: number
        format: double
      session_duration:
        description: "session duration."
        type: number
        format: double
      ica_rtt:
        description: "ICA rtt."
        type: number
        format: double
      sr_reconnect_count:
        description: "Session Reliability Reconnect count"
        type: number
        format: double
      selected_time_total_byte:
        description: "Total bytes accounted by this URL in sampled timeframe."
        type: number
        format: double
      client_srtt:
        description: "client Smothen RTT."
        type: number
        format: double
      edt_type:
        description: "edt_type"
        type: string
        format: string
      city:
        description: "city"
        type: string
        format: string
      vdi_image_name:
        description: "vdi_image_name"
        type: string
        format: string
      up_time:
        description: "hdx desktop session up time."
        type: number
        format: double
      session_setup_time_local:
        description: "ICA Session setup time in local timezone."
        type: number
        format: double
      server_srtt:
        description: "server Smothen RTT."
        type: number
        format: double
      session_end_time:
        description: "ICA Session end time."
        type: number
        format: double
      l7_serverside_latency:
        description: "L7 serverside latency"
        type: number
        format: double

  related_desktop_session:
    allOf:
      - $ref: '#/definitions/related_desktop_session_readwrite'

  Error:
    properties:
      errorcode:
        type: number
        format: int32
        example: 1001
      errormessage:
        type: string
        format: string
        example: "id cannot be found"
